Get Disk Snapshots
Get disk snapshots information
Get disk snapshots information
Request
URI
GET
https://vcfa-10-162-161-9.vcfd.broadcom.net/iaas/api/block-devices/{id}/snapshots
COPY
Path Parameters
string
id
Required
The ID of the disk.
Query Parameters
string
apiVersion
Optional
The version of the API in yyyy-MM-dd format (UTC). For versioning information refer to /iaas/api/about
Responses
200
Successful operation
[
{
"id": "9.0E49",
"createdAt": "2012-09-27",
"updatedAt": "2012-09-27",
"owner": "[email protected]",
"ownerType": "ad_group",
"orgId": "42413b31-1716-477e-9a88-9dc1c3cb1cdf",
"_links": {
"empty": false
},
"name": "my-name",
"desc": "my-description",
"snapshotProperties": {
"incremental": "false"
},
"tags": [
{
"key": "env",
"value": "dev"
}
]
}
]
array of
object
Represents a disk snapshot
403
Forbidden
Returns
ServiceErrorResponse
of type(s)
application/json
{
"message": "string",
"messageId": "string",
"stackTrace": [
"string"
],
"statusCode": 0,
"errorCode": 0,
"details": [
"string"
],
"serverErrorId": "string",
"documentKind": "string",
"internalErrorCode": 0
}
string
message
Optional
message
string
messageId
Optional
messageId
array of
string
stackTrace
Optional
stackTrace
integer As int32
As int32
statusCode
Optional
statusCode
integer As int32
As int32
errorCode
Optional
errorCode
array of
string
details
Optional
details
string
serverErrorId
Optional
serverErrorId
string
documentKind
Optional
documentKind
integer As int32
As int32
internalErrorCode
Optional
internalErrorCode
404
Not Found
Returns
ServiceErrorResponse
of type(s)
application/json
{
"message": "string",
"messageId": "string",
"stackTrace": [
"string"
],
"statusCode": 0,
"errorCode": 0,
"details": [
"string"
],
"serverErrorId": "string",
"documentKind": "string",
"internalErrorCode": 0
}
string
message
Optional
message
string
messageId
Optional
messageId
array of
string
stackTrace
Optional
stackTrace
integer As int32
As int32
statusCode
Optional
statusCode
integer As int32
As int32
errorCode
Optional
errorCode
array of
string
details
Optional
details
string
serverErrorId
Optional
serverErrorId
string
documentKind
Optional
documentKind
integer As int32
As int32
internalErrorCode
Optional
internalErrorCode
Code Samples
COPY
curl -H 'Authorization: <value>' https://{api_host}/iaas/api/block-devices/{id}/snapshots
On This Page
Disk Operations
POST
Create Block Device Snapshot
POST
Promote Disk
GET
Get Block Device
POST
Resize Block Device
DELETE
Delete Block Device
POST
Revert Disk Snapshot
GET
Get Block Devices
POST
Create Block Device
GET
Get Disk Snapshot
DELETE
Delete Block Device Snapshot
GET
Get Disk Snapshots